Subject: [MMUSIC] Publication has been requested for draft-ietf-mmusic-rfc8843bis-04

From: Flemming Andreasen via Datatracker <[email-masked]>
Date: Tue, 06 Jul 2021 11:39:35 -0700

Flemming Andreasen has requested publication of draft-ietf-mmusic-rfc8843bis-04 as Proposed Standard on behalf of the MMUSIC working group.

Please verify the document's state at https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc8843bis/

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Wed, 14 Jul 2021 14:23:59 -0700

Hi all,

I got this and it's in my queue.  It arrived in between two vacations and a
peer review cycle at work, so apologies for the delay.  I expect to get it
moving within the next few days.

-MSK, ART AD

On Tue, Jul 6, 2021 at 11:39 AM Flemming Andreasen via Datatracker <
[email-masked]> wrote:

> Flemming Andreasen has requested publication of
> draft-ietf-mmusic-rfc8843bis-04 as Proposed Standard on behalf of the
> MMUSIC working group.
>
> Please verify the document's state at
> https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc8843bis/
>
>
>

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Sat, 17 Jul 2021 20:06:13 -0700

> https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc8843bis/

I've reviewed the diff between this and RFC8843.  Looks good.  Thanks for a
good shepherd writeup too.  Just a couple of comments:

The registrations in Section 16 should make it clear they are updating, not
creating, the entries they describe.  RFC 8843 created them.

It would probably make things even smoother to indicate in the shepherd
writeup that RTCWEB reviewed this, so that their JSEP update doesn't
conflict with it.  (And if they didn't, please at a minimum forward them
the IETF Last Call announcement when it comes out.)  I know the writeup
already describes the separation of work, but we're likely to be asked to
confirm that there was more coordination than that.

Neither of these are enough to hold up IETF Last Call, so I'll go get that
going now.

-MSK, ART AD

---

From: Flemming Andreasen <[email-masked]>
Date: Sun, 18 Jul 2021 18:14:25 -0400

On 7/17/21 11:06 PM, Murray S. Kucherawy wrote:
> On Tue, Jul 6, 2021 at 11:39 AM Flemming Andreasen via Datatracker 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     draft-ietf-mmusic-rfc8843bis-04 as Proposed Standard on behalf of
>     the MMUSIC working group.
>
>     <https://datatracker.ietf.org/doc/draft-ietf-mmusic-rfc8843bis/>
>
>
> I've reviewed the diff between this and RFC8843.  Looks good.  Thanks 
> for a good shepherd writeup too.  Just a couple of comments:
>
> The registrations in Section 16 should make it clear they are 
> updating, not creating, the entries they describe.  RFC 8843 created them.
Ok. I believe the authors can make that change later.
>
> It would probably make things even smoother to indicate in the 
> shepherd writeup that RTCWEB reviewed this, so that their JSEP update 
> doesn't conflict with it.  (And if they didn't, please at a minimum 
> forward them the IETF Last Call announcement when it comes out.)  I 
> know the writeup already describes the separation of work, but we're 
> likely to be asked to confirm that there was more coordination than that.
Good point. We did not have RTCWEB review the update per se, however a 
couple of the people that reviewed it are intimately involved in the 
RTCWEB work. Should we alert the RTCWEB group at this point or wait 
until the IETF Last Call ?

Thanks

-- Flemming
>
> Neither of these are enough to hold up IETF Last Call, so I'll go get 
> that going now.
>
> -MSK, ART AD

---

From: Christer Holmberg <[email-masked]>
Date: Mon, 19 Jul 2021 15:46:23 +0000

Hi,

>> I've reviewed the diff between this and RFC8843.  Looks good.  Thanks for a good shepherd writeup too.  Just a couple of comments:
>> The registrations in Section 16 should make it clear they are updating, not creating, the entries they describe.  RFC 8843 created them.

I am not really sure what the change would look like.

For example, if I do the following change in Section 16.1:

s/This document adds the MID SDES item to the IANA "RTP SDES Item Types" registry as follows: /This document updates the MID SDES item registered in RFC 8843 in the IANA "RTP SDES Item Types" registry as follows

...it seems like all the information is updated.

>> It would probably make things even smoother to indicate in the shepherd writeup that RTCWEB reviewed this, so that their JSEP update doesn't conflict with it.  (And if they didn't, please at a minimum forward
>> them the IETF Last Call announcement when it comes out.)  I know the writeup already describes the separation of work, but we're likely to be asked to confirm that there was more coordination than that.
> Good point. We did not have RTCWEB review the update per se, however a couple of the people that reviewed it are intimately involved in the RTCWEB work. Should we alert the RTCWEB group at this point or wait until the IETF Last Call ? 

As Flemming said, people that have reviewed BUNDLEbis are also active in RTCWEB. In addition, when Flemming sent out the publication request e-mail, I did forward it to the RTCWEB list.

As RTCWEB is meeting this week, I guess it can also be mentioned there.

Regards,

Christer

---

From: Ted Hardie <[email-masked]>
Date: Tue, 20 Jul 2021 10:36:37 +0100

Hi RTCWEB folks,

If you have not already reviewed draft-ietf-mmusic-rfc8843bis-04 (aka
BUNDLEbis), it would be great if you could do so before the RTCWEB meeting
next week, since the JSEP update is linked to it.

thanks,

Ted Hardie

On Mon, Jul 19, 2021 at 4:46 PM Christer Holmberg <christer.holmberg=
[email-masked]> wrote:

> >> The registrations in Section 16 should make it clear they are updating,
> not creating, the entries they describe.  RFC 8843 created them.
> s/This document adds the MID SDES item to the IANA "RTP SDES Item Types"
> registry as follows: /This document updates the MID SDES item registered in
> RFC 8843 in the IANA "RTP SDES Item Types" registry as follows
>
> conflict with it.  (And if they didn't, please at a minimum forward
> >> them the IETF Last Call announcement when it comes out.)  I know the
> writeup already describes the separation of work, but we're likely to be
> asked to confirm that there was more coordination than that.
> couple of the people that reviewed it are intimately involved in the RTCWEB
> work. Should we alert the RTCWEB group at this point or wait until the IETF
> Last Call ?
>
> As Flemming said, people that have reviewed BUNDLEbis are also active in
> RTCWEB. In addition, when Flemming sent out the publication request e-mail,
> I did forward it to the RTCWEB list.
>
> _______________________________________________
> mmusic mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mmusic
>

---

From: Roman Shpount <[email-masked]>
Date: Wed, 21 Jul 2021 01:13:58 -0400

I have already provided my review on MMUSIC.
_____________
Roman Shpount

On Tue, Jul 20, 2021 at 5:37 AM Ted Hardie <[email-masked]> wrote:

>> doesn't conflict with it.  (And if they didn't, please at a minimum forward

---

From: "Murray S. Kucherawy" <[email-masked]>
Date: Mon, 26 Jul 2021 17:40:59 -0700

(Sorry, was on vacation.)

> ...it seems like all the information is updated.

That's pretty much what I'm looking for.

> As RTCWEB is meeting this week, I guess it can also be mentioned there.

It's probably fine to say in the shepherd writeup that there's substantial
overlap in the participants between RTCWEB and MMUSIC, just to head off any
questions ADs from other areas might have.

-MSK

---

From: Flemming Andreasen <[email-masked]>
Date: Tue, 27 Jul 2021 08:22:50 -0400

On 7/26/21 8:40 PM, Murray S. Kucherawy wrote:
> On Mon, Jul 19, 2021 at 8:46 AM Christer Holmberg 
> <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     >> I've reviewed the diff between this and RFC8843.  Looks good. 
>     Thanks for a good shepherd writeup too.  Just a couple of comments:
>     s/This document adds the MID SDES item to the IANA "RTP SDES Item
>     Types" registry as follows: /This document updates the MID SDES
>     item registered in RFC 8843 in the IANA "RTP SDES Item Types"
>     registry as follows
>
>     shepherd writeup that RTCWEB reviewed this, so that their JSEP
>     update doesn't conflict with it.  (And if they didn't, please at a
>     minimum forward
>     >> them the IETF Last Call announcement when it comes out.)  I
>     know the writeup already describes the separation of work, but
>     we're likely to be asked to confirm that there was more
>     coordination than that.
>     > Good point. We did not have RTCWEB review the update per se,
>     however a couple of the people that reviewed it are intimately
>     involved in the RTCWEB work. Should we alert the RTCWEB group at
>     this point or wait until the IETF Last Call ?
>
>     As Flemming said, people that have reviewed BUNDLEbis are also
>     active in RTCWEB. In addition, when Flemming sent out the
>     publication request e-mail, I did forward it to the RTCWEB list.
>
> It's probably fine to say in the shepherd writeup that there's 
> substantial overlap in the participants between RTCWEB and MMUSIC, 
> just to head off any questions ADs from other areas might have.

I have updated the shepherd write-up accordinlgy.

Thanks

-- Flemming

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 27 Jul 2021 20:17:21 +0000

Hi,

> That's pretty much what I'm looking for.

Ok. I'll do the update whenever I submit a new revision.

Regards,

Christer